%define pkg_name        Crypt-Blowfish
%define pkg_version     2.10
%define rpm_pkg_version 2.10
%define rpm_pkg_release 3.n0i.9

Summary:       XS-based implementation of Blowfish
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DP/DPARIS/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Blowfish is capable of strong encryption and can use key sizes up to 56 bytes
(a 448 bit key). You're encouraged to take advantage of the full key size to
ensure the strongest encryption possible from this module.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes COPYRIGHT README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 2.10-3.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 2.10-2.n0i.8
- automatic rebuild (perl 5.8.8)

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 2.10-1.n0i.7
- version 2.10

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 2.09-3.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:2.09-2.n0i.5
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:2.09-2.n0i.4
- automatic rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:2.09-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:2.09-0.n0i.2
- version 2.09
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net> 2.09-0.n0i
- Initial build.
